<?php 

 echo '' . "\n";

echo '<h1>' . ( ( isset($this->_tpldata['.'][0]['L_STYLES_TITLE']) ) ? $this->_tpldata['.'][0]['L_STYLES_TITLE'] : '' ) . '</h1>' . "\n";

echo '' . "\n";

echo '<P>' . ( ( isset($this->_tpldata['.'][0]['L_STYLES_TEXT']) ) ? $this->_tpldata['.'][0]['L_STYLES_TEXT'] : '' ) . '</p>' . "\n";

echo '' . "\n";

echo '<table cellspacing="1" cellpadding="4" border="0" align="center" class="forumline">' . "\n";

echo '	<tr>' . "\n";

echo '		<th class="thCornerL">' . ( ( isset($this->_tpldata['.'][0]['L_STYLE']) ) ? $this->_tpldata['.'][0]['L_STYLE'] : '' ) . '</th>' . "\n";

echo '		<th class="thTop">' . ( ( isset($this->_tpldata['.'][0]['L_TEMPLATE']) ) ? $this->_tpldata['.'][0]['L_TEMPLATE'] : '' ) . '</th>' . "\n";

echo '		<th class="thTop">' . ( ( isset($this->_tpldata['.'][0]['L_EDIT']) ) ? $this->_tpldata['.'][0]['L_EDIT'] : '' ) . '</th>' . "\n";

echo '		<th colspan="2" class="thCornerR">' . ( ( isset($this->_tpldata['.'][0]['L_DELETE']) ) ? $this->_tpldata['.'][0]['L_DELETE'] : '' ) . '</th>' . "\n";

echo '	</tr>' . "\n";

$_styles_count = ( isset($this->_tpldata['styles.']) ) ? sizeof($this->_tpldata['styles.']) : 0;

for ($_styles_i = 0; $_styles_i < $_styles_count; $_styles_i++)

{

echo '	<tr>' . "\n";

echo '		<td class="' . ( ( isset($this->_tpldata['styles.'][$_styles_i]['ROW_CLASS']) ) ? $this->_tpldata['styles.'][$_styles_i]['ROW_CLASS'] : '' ) . '">' . ( ( isset($this->_tpldata['styles.'][$_styles_i]['STYLE_NAME']) ) ? $this->_tpldata['styles.'][$_styles_i]['STYLE_NAME'] : '' ) . '</td>' . "\n";

echo '		<td class="' . ( ( isset($this->_tpldata['styles.'][$_styles_i]['ROW_CLASS']) ) ? $this->_tpldata['styles.'][$_styles_i]['ROW_CLASS'] : '' ) . '">' . ( ( isset($this->_tpldata['styles.'][$_styles_i]['TEMPLATE_NAME']) ) ? $this->_tpldata['styles.'][$_styles_i]['TEMPLATE_NAME'] : '' ) . '</td>' . "\n";

echo '		<td class="' . ( ( isset($this->_tpldata['styles.'][$_styles_i]['ROW_CLASS']) ) ? $this->_tpldata['styles.'][$_styles_i]['ROW_CLASS'] : '' ) . '"><a href="' . ( ( isset($this->_tpldata['styles.'][$_styles_i]['U_STYLES_EDIT']) ) ? $this->_tpldata['styles.'][$_styles_i]['U_STYLES_EDIT'] : '' ) . '">' . ( ( isset($this->_tpldata['.'][0]['L_EDIT']) ) ? $this->_tpldata['.'][0]['L_EDIT'] : '' ) . '</a></td>' . "\n";

echo '		<td class="' . ( ( isset($this->_tpldata['styles.'][$_styles_i]['ROW_CLASS']) ) ? $this->_tpldata['styles.'][$_styles_i]['ROW_CLASS'] : '' ) . '"><a href="' . ( ( isset($this->_tpldata['styles.'][$_styles_i]['U_STYLES_DELETE']) ) ? $this->_tpldata['styles.'][$_styles_i]['U_STYLES_DELETE'] : '' ) . '">' . ( ( isset($this->_tpldata['.'][0]['L_DELETE']) ) ? $this->_tpldata['.'][0]['L_DELETE'] : '' ) . '</a></td>' . "\n";

echo '	</tr>' . "\n";

} // END styles

echo '</table>{S_HIDDEN_FIELDS} </form>' . "\n";

echo '' . "\n"; 

 ?>